# module StaticModel::ClassMethods

### Public Instance Methods

base_class() click to toggle source

Used by ActiveRecord’s polymorphic association to set object_type

    # File app/roles/static_model.rb, line 12
    def base_class
      self
    end

primary_key() click to toggle source

Used by ActiveRecord’s polymorphic association to set object_id

    # File app/roles/static_model.rb, line 7
    def primary_key
      'id'
    end